<html>
<head>
<title>OgreD3D9DeviceManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9DeviceManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9DeviceManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9DeviceManager_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9DeviceManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keyword">namespace </span>Ogre {
<a name="l00034"></a>00034 
<a name="l00035"></a>00035     <span class="keyword">class </span>D3D9Device;
<a name="l00036"></a>00036     <span class="keyword">class </span>D3D9RenderWindow;
<a name="l00037"></a>00037 
<a name="l00040"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html">00040</a>     <span class="keyword">class </span><a class="code" href="OgreD3D9Prerequisites_8h.html#a2f097a9b4c2ebfb75896e7d6eec01a1d">_OgreD3D9Export</a> <a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ResourceAlloc</a>
<a name="l00041"></a>00041     {   
<a name="l00042"></a>00042 
<a name="l00043"></a>00043     <span class="comment">// Interface.</span>
<a name="l00044"></a>00044     <span class="keyword">public</span>:     
<a name="l00045"></a>00045         <span class="keywordtype">void</span>                setActiveDevice                 (<a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>* device);
<a name="l00046"></a>00046         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         getActiveDevice                 ();
<a name="l00047"></a>00047         <span class="keywordtype">void</span>                setActiveRenderTargetDevice     (<a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>* device);
<a name="l00048"></a>00048         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         getActiveRenderTargetDevice     ();     
<a name="l00049"></a>00049         UINT                getDeviceCount                  ();
<a name="l00050"></a>00050         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         getDevice                       (UINT index);           
<a name="l00051"></a>00051         <span class="keywordtype">void</span>                linkRenderWindow                (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00052"></a>00052         <span class="keywordtype">void</span>                destroyInactiveRenderDevices    ();
<a name="l00053"></a>00053         <span class="keywordtype">void</span>                notifyOnDeviceDestroy           (<a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>* device);
<a name="l00054"></a>00054         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         getDeviceFromD3D9Device         (IDirect3DDevice9* d3d9Device);
<a name="l00055"></a>00055         
<a name="l00056"></a>00056     <span class="keyword">public</span>:
<a name="l00057"></a>00057         <a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a>   ();
<a name="l00058"></a>00058         ~<a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a>  ();
<a name="l00059"></a>00059 
<a name="l00060"></a>00060     <span class="keyword">protected</span>:      
<a name="l00061"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">00061</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;D3D9Device*&gt;::type</a>        <a class="code" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a>;
<a name="l00062"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#aeb90d58507a2922ffa1db5cb042337e8">00062</a>         <span class="keyword">typedef</span> DeviceList::iterator             <a class="code" href="classOgre_1_1D3D9DeviceManager.html#aeb90d58507a2922ffa1db5cb042337e8">DeviceIterator</a>;
<a name="l00063"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#a8b7a458eb80274b817d3ccf9fec32f52">00063</a>         <span class="keyword">typedef</span> DeviceList::const_iterator       <a class="code" href="classOgre_1_1D3D9DeviceManager.html#a8b7a458eb80274b817d3ccf9fec32f52">ConstDeviceIterator</a>;
<a name="l00064"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">00064</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;D3D9RenderWindow*&gt;::type</a>  <a class="code" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a>;
<a name="l00065"></a>00065 
<a name="l00066"></a>00066     <span class="keyword">protected</span>:
<a name="l00067"></a>00067         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*         selectDevice        (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow, <a class="code" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a>&amp; renderWindowsGroup);
<a name="l00068"></a>00068         <a class="code" href="classOgre_1_1D3D9Driver.html">D3D9Driver</a>*         findDriver          (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00069"></a>00069 
<a name="l00070"></a>00070         
<a name="l00071"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#acf7c6fa29a597267e700dc6e846a172e">00071</a>         <a class="code" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a>                              <a class="code" href="classOgre_1_1D3D9DeviceManager.html#acf7c6fa29a597267e700dc6e846a172e">mRenderDevices</a>;     
<a name="l00072"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#a6a99ed4050e5a9b6e79a0b3cfdfa413a">00072</a>         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*                             <a class="code" href="classOgre_1_1D3D9DeviceManager.html#a6a99ed4050e5a9b6e79a0b3cfdfa413a">mActiveDevice</a>;
<a name="l00073"></a><a class="code" href="classOgre_1_1D3D9DeviceManager.html#aca4a2302c632e7562d7f47961dfe9b5a">00073</a>         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>*                             <a class="code" href="classOgre_1_1D3D9DeviceManager.html#aca4a2302c632e7562d7f47961dfe9b5a">mActiveRenderWindowDevice</a>;      
<a name="l00074"></a>00074     };
<a name="l00075"></a>00075 }
<a name="l00076"></a>00076 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
